Bug 1410953 - Review Request: python3-cffi - Foreign Function Interface for Python to call C code
Summary: Review Request: python3-cffi - Foreign Function Interface for Python to call ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1410951
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 23:37 UTC by Orion Poplawski
Modified: 2017-03-17 00:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-15 13:49:25 UTC
Type: Bug
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Orion Poplawski 2017-01-06 23:37:53 UTC
Spec URL: https://www.cora.nwra.com/~orion/fedora/python3-cffi.spec
SRPM URL: https://www.cora.nwra.com/~orion/fedora/python3-cffi-1.8.3-1.el7.src.rpm
Description:
Foreign Function Interface for Python, providing a convenient and
reliable way of calling existing C code from Python. The interface is
based on LuaJIT’s FFI.

Fedora Account System Username: orion

This is and EPEL only package

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-02-04 17:02:38 UTC
rpm link returns 404.

Comment 3 Zbigniew Jędrzejewski-Szmek 2017-02-22 15:12:37 UTC
I'd change (also in the Fedora pakage): add -v to tests so that names not dots are shown.

Compared to the Fedora package:

+ package name is OK
+ builds and install OK
+ P/R/BuildRequires look correct
+ rpmlint is happy

Package is APPROVED.

(rpmlint:
python34-cffi.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/cffi/parse_c_type.h
python34-cffi.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/cffi/_cffi_include.h
python34-cffi.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.4/site-packages/cffi/_embedding.h
+ some false positives

This is OK.)

Comment 4 Gwyn Ciesla 2017-02-22 16:54:40 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python3-cffi

Comment 5 Fedora Update System 2017-02-22 22:25:31 UTC
python3-cffi-1.9.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9ae5757844

Comment 6 Fedora Update System 2017-02-22 22:25:38 UTC
python3-cffi-1.9.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a5260da300

Comment 7 Fedora Update System 2017-02-23 19:47:46 UTC
python3-cffi-1.9.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a5260da300

Comment 8 Fedora Update System 2017-02-23 19:51:35 UTC
python3-cffi-1.9.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9ae5757844

Comment 9 Tuomo Soini 2017-02-25 14:49:51 UTC
Minor problem in package.

package: python3-cffi-doc-1.9.1-1.el7.noarch
  unresolved deps: 
     python3-cffi = 0:1.9.1-1.el7

I guess dependency doc should be:

Requires:       python%{python3_pkgver}-cffi = %{version}-%{release}

Instead of:

Requires:       %{name} = %{version}-%{release} which is there now.

Comment 10 Tuomo Soini 2017-02-25 14:51:09 UTC
Oh. btw. this should not have passed package review!

Comment 11 Orion Poplawski 2017-02-27 17:03:14 UTC
I just dropped the requires altogether.  Thanks.

Comment 12 Fedora Update System 2017-02-27 17:04:34 UTC
python3-cffi-1.9.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-923cc26d6c

Comment 13 Fedora Update System 2017-02-27 17:04:42 UTC
python3-cffi-1.9.1-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-046c5f2b9e

Comment 14 Tuomo Soini 2017-02-27 20:06:50 UTC
Thx. Now it looks ok.

Comment 15 Fedora Update System 2017-02-28 04:47:09 UTC
python3-cffi-1.9.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-046c5f2b9e

Comment 16 Fedora Update System 2017-03-01 01:48:32 UTC
python3-cffi-1.9.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-923cc26d6c

Comment 17 Fedora Update System 2017-03-15 13:49:25 UTC
python3-cffi-1.9.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-03-17 00:18:40 UTC
python3-cffi-1.9.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.